// Colors
$primary-color:               #2e4bfd;
$secondary-color:             #1c1c1c;
$third-color:                 #787878;

$brand-primary:             $primary-color;
$brand-success:             #57d03b;
$brand-info:                #cfd6ff;
$brand-warning:             #ffcc00;
$brand-danger:              #e94a4a;


// Body
$body-bg:    #fff;
$body-color: $third-color;
$default-bg: #fafafa;

$border-color:       #e8e8e8;

$border-radius:          5px;
$border-radius-lg:       5px;
$border-radius-sm:       5px;


// Links
$link-color:            $secondary-color;
$link-decoration:       none;
$link-hover-color:      $primary-color;
$link-hover-decoration: none;


// Typography
$font-family-sans-serif: 'Montserrat', sans-serif;
$font-family-serif:      'Montserrat', sans-serif;
$font-family-base:       $font-family-sans-serif;

// Pixel value used to responsively scale all typography. Applied to the `<html>` element.
$font-size-root: 16px;

$font-size-base: 1rem;
$font-size-lg:   1rem;
$font-size-sm:   .75rem;
$font-size-xs:   .5rem;

$line-height-base: 1.5;

$font-size-h1: 3.75rem; // 60px
$font-size-h2: 2.5rem; // 40px
$font-size-h3: 1.875rem; // 30px
$font-size-h4: 1.25rem; // 20px
$font-size-h5: 1rem; // 16px
$font-size-h6: .875rem; // 14px

$headings-margin-bottom: 1rem;
$headings-font-family:   inherit;
$headings-font-weight:   600;
$headings-line-height:   1.33333;
$headings-color:         $secondary-color;


// Buttons
$btn-padding-x:                  1rem;
$btn-padding-y:                  0.90625rem;
$btn-line-height:                1.25;
$btn-font-weight:                normal;
$btn-box-shadow:                 inset 0 1px 0 rgba(255,255,255,.15), 0 1px 1px rgba(0,0,0,.075);
$btn-active-box-shadow:          inset 0 3px 5px rgba(0,0,0,.125);

$btn-primary-color:              #fff;
$btn-primary-bg:                 $brand-primary;
$btn-primary-border:             $btn-primary-bg;

$btn-secondary-color:            $secondary-color;
$btn-secondary-bg:               #fff;
$btn-secondary-border:           $border-color;

$btn-info-color:                 #fff;
$btn-info-bg:                    $brand-info;
$btn-info-border:                $btn-info-bg;

$btn-success-color:              #fff;
$btn-success-bg:                 $brand-success;
$btn-success-border:             $btn-success-bg;

$btn-warning-color:              #fff;
$btn-warning-bg:                 $brand-warning;
$btn-warning-border:             $btn-warning-bg;

$btn-danger-color:               #fff;
$btn-danger-bg:                  $brand-danger;
$btn-danger-border:              $btn-danger-bg;

// $btn-link-disabled-color:        $gray-light;

$btn-padding-x-sm:               .5rem;
$btn-padding-y-sm:               .75rem;

$btn-padding-x-lg:               1.5rem;
$btn-padding-y-lg:               1.125rem;

$btn-block-spacing-y:            .5rem;
$btn-toolbar-margin:             .5rem;


// Tag
$tag-font-size:             100%;
$tag-font-weight:           normal;
$tag-padding-x:             1.5em;
$tag-padding-y:             .5em;

$tag-default-bg:             $secondary-color;


// Forms
$input-padding-x:                1.25rem;
$input-padding-y:                1.1875rem;
$input-line-height:              1.25;

$input-bg:                       #fff;

$input-color:                    $secondary-color;
$input-border-color:             $border-color;
$input-box-shadow:               inset 0 1px 1px rgba(0,0,0,.075);

$input-border-radius:            $border-radius;
$input-border-radius-lg:         $border-radius-lg;
$input-border-radius-sm:         $border-radius-sm;

$input-bg-focus:                 $input-bg;
$input-border-focus:             $primary-color;
$input-box-shadow-focus:         $input-box-shadow, 0 0 8px rgba($primary-color,.6);

$input-color-placeholder:        $secondary-color;

$input-group-addon-bg:           transparent;
$input-group-addon-border-color: transparent;

$custom-control-indicator-bg:         #f3f4ff;

$custom-control-checked-indicator-bg:         $primary-color;
$custom-control-focus-indicator-box-shadow:   none;

$custom-checkbox-indeterminate-bg:            $primary-color;
$custom-control-active-indicator-bg:          $primary-color;


// Tags
$tag-font-size:             .625rem;
$tag-font-weight:           400;
$tag-padding-x:             1.25rem;
$tag-padding-y:             .625rem;


// Cards
$card-spacer-x:            1.875rem;
$card-spacer-y:            1.6rem;
$card-border-width:        1px;
$card-border-radius:       $border-radius;
$card-border-color:        $border-color;
$card-border-radius-inner: calc(#{$card-border-radius} - #{$card-border-width});
$card-cap-bg:              transparent;
$card-bg:                  #fff;

$card-link-hover-color:    #fff;

$card-img-overlay-padding: 1.25rem;

$card-deck-margin:         .625rem;

$card-columns-sm-up-column-gap: 1.25rem;
